class ObjectAuth  < PrototypeAuth
  include OrbitCoreLib::ObjectTokenUnility
  validates_uniqueness_of :title ,:scope => [:obj_authable_type,:obj_authable_id]  #{ |c| }
  belongs_to :obj_authable, polymorphic: true
  # > - Something.find_with_auth(query)
  # > - or Something.find(query).auth
  def auth_obj
    class_obj = eval(self.obj_authable_type)
    class_obj.find self.obj_authable_id
  end

end